Update User via PUT

Updates an existing User resource by overwriting values for specified attributes. Attributes not provided will revert to default. Value of the {id} is the user's corresponding Jostle user Id. Must supply required fields: {
"id": "user-id",
"userName": "[email protected]",
"name": {
"familyName": "family-name",
"givenName": "given-name"
}
Additional fields can be found in
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User",
"urn:ietf:params:scim:schemas:extension:jostle:2.0:User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"
],

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique ID of the resource type.

Query Params
string

SCIM defined attributes parameter.

string

SCIM defined excludedAttribute parameter.

Body Params
schemas
array of strings
schemas
string
string
meta
object
string
boolean
name
object
string
emails
array of objects
emails
phoneNumbers
array of objects
phoneNumbers
addresses
array of objects
addresses
string
Responses
401

Unauthorized

403

Forbidden

404

User not found

Language
LoadingLoading…
Response
Choose an example:
*/*